Bug 19659 - Turning off plugins causes crash
Summary: Turning off plugins causes crash
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Plug-ins (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P1 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2008-06-18 13:17 PDT by Ben Goren
Modified: 2008-07-31 06:49 PDT (History)
3 users (show)

See Also:


Attachments
Crash after turning off plugins after watching a YouTube video. (28.39 KB, text/plain)
2008-06-18 19:02 PDT, Ben Goren
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Goren 2008-06-18 13:17:39 PDT
I generally browse with plugins disabled so I don't get (as) deluged with flashy ads. When I come to the rare site that I actually want to see something that uses a plugin -- such as a YouTube video or the like -- I turn on plugins, and then turn them off again as soon as I'm done with that page.

WebKit is pretty much guaranteed to crash as soon as I turn off plugins.

Cheers,

b&
Comment 1 Matt Lilek 2008-06-18 16:24:10 PDT
Can you please attach a crash log using the instructions at <http://webkit.org/quality/crashlogs.html>.

I tried turning plugin support off and on and browsing to various Flash-heavy sites (including youtube) and couldn't crash after about 15 minutes.
Comment 2 Ben Goren 2008-06-18 19:02:11 PDT
Created attachment 21828 [details]
Crash after turning off plugins after watching a YouTube video.
Comment 3 Matt Lilek 2008-06-18 20:15:49 PDT
OK, I'm definitely seeing crashes now that I tinker a bit more though I don't have the same backtrace as the one attached.  I can get it to crash reliably in mouseMoved code, but not in anything keyUp related.  I will assume the two have the same root cause for now, but Ben please post what you're doing step-by-step so we can split this out if necessary.

1. Load <http://youtube.com/>
2. View a video and let it start playing
3. Open preferences and disable plugins
4. Close prefs window

Thread 0 Crashed:
0   com.apple.WebKit              	0x0019d74d -[WebBaseNetscapePluginView handleMouseMoved:] + 15 (WebBaseNetscapePluginView.mm:890)
1   com.apple.WebKit              	0x001cfe9a NetscapePluginWidget::handleEvent(WebCore::Event*) + 128 (WebFrameLoaderClient.mm:1243)
2   com.apple.WebCore             	0x02725e18 WebCore::HTMLPlugInElement::defaultEventHandler(WebCore::Event*) + 116 (HTMLPlugInElement.cpp:166)
3   com.apple.WebCore             	0x0265f6ff WebCore::EventTarget::dispatchGenericEvent(WebCore::EventTargetNode*, WTF::PassRefPtr<WebCore::Event>, int&, bool) + 1867 (EventTarget.cpp:260)
4   com.apple.WebCore             	0x0266018a WebCore::EventTargetNode::dispatchEvent(WTF::PassRefPtr<WebCore::Event>, int&, bool) + 364 (EventTargetNode.cpp:132)
5   com.apple.WebCore             	0x02660d9a WebCore::EventTargetNode::dispatchMouseEvent(WebCore::AtomicString const&, int, int, int, int, int, int, bool, bool, bool, bool, bool, WebCore::Node*, WTF::PassRefPtr<WebCore::Event>) + 760 (EventTargetNode.cpp:306)
6   com.apple.WebCore             	0x026615b3 WebCore::EventTargetNode::dispatchMouseEvent(WebCore::PlatformMouseEvent const&, WebCore::AtomicString const&, int, WebCore::Node*) + 497 (EventTargetNode.cpp:224)
7   com.apple.WebCore             	0x02653b7f WebCore::EventHandler::updateMouseEventTargetNode(WebCore::Node*, WebCore::PlatformMouseEvent const&, bool) + 545 (EventHandler.cpp:1267)
8   com.apple.WebCore             	0x026562b5 WebCore::EventHandler::dispatchMouseEvent(WebCore::AtomicString const&, WebCore::Node*, bool, int, WebCore::PlatformMouseEvent const&, bool) + 59 (EventHandler.cpp:1275)
9   com.apple.WebCore             	0x02657303 WebCore::EventHandler::handleMouseMoveEvent(WebCore::PlatformMouseEvent const&, WebCore::HitTestResult*) + 1783 (EventHandler.cpp:1048)
10  com.apple.WebCore             	0x0265739b WebCore::EventHandler::mouseMoved(WebCore::PlatformMouseEvent const&) + 61 (EventHandler.cpp:950)
11  com.apple.WebCore             	0x0265c437 WebCore::EventHandler::mouseMoved(NSEvent*) + 363 (EventHandlerMac.mm:627)
12  com.apple.WebKit              	0x001ea30b -[WebHTMLView(WebPrivate) _updateMouseoverWithEvent:] + 1225 (WebHTMLView.mm:1438)
13  com.apple.WebKit              	0x001e2c12 -[WebHTMLView mouseMovedNotification:] + 98 (WebHTMLView.mm:3284)
14  com.apple.Foundation          	0x9040054a _nsnote_callback + 106
15  com.apple.CoreFoundation      	0x944649ba __CFXNotificationPost + 362
16  com.apple.CoreFoundation      	0x94464c93 _CFXNotificationPostNotification + 179
17  com.apple.Foundation          	0x903fd7b0 -[NSNotificationCenter postNotificationName:object:userInfo:] + 128
18  com.apple.AppKit              	0x92d533a8 -[NSResponder _postEventNotification:] + 299
19  com.apple.AppKit              	0x92d53046 forwardMethod + 208
20  com.apple.AppKit              	0x92d52fe7 forwardMethod + 113
21  com.apple.AppKit              	0x92d52fe7 forwardMethod + 113
22  com.apple.AppKit              	0x92d52fe7 forwardMethod + 113
23  com.apple.AppKit              	0x92d52fe7 forwardMethod + 113
24  com.apple.AppKit              	0x92d52fe7 forwardMethod + 113
25  com.apple.AppKit              	0x92d52fe7 forwardMethod + 113
26  com.apple.AppKit              	0x92d52fe7 forwardMethod + 113
27  com.apple.AppKit              	0x92d52fe7 forwardMethod + 113
28  com.apple.AppKit              	0x92cc74c5 -[NSWindow sendEvent:] + 8511
29  com.apple.Safari              	0x000296d3 0x1000 + 165587
30  com.apple.AppKit              	0x92c93b1d -[NSApplication sendEvent:] + 4713
31  com.apple.Safari              	0x00029250 0x1000 + 164432
32  com.apple.AppKit              	0x92bf0e27 -[NSApplication run] + 847
33  com.apple.AppKit              	0x92bbe030 NSApplicationMain + 574
34  com.apple.Safari              	0x000b4de6 0x1000 + 736742
Comment 4 Ben Goren 2008-06-19 07:48:58 PDT
Matt,

That four-step process describes what I've been doing to trigger the crash.

It's not just youtube.com; it happens elsewhere. It might, however, be exclusive to video.

I generally wait for the video to finish before disabling plugins and it still crashes; it's not (just) while the video is playing.

Cheers,

b&
Comment 5 Alexey Proskuryakov 2008-07-28 01:50:03 PDT
<rdar://problem/6105529>
Comment 6 Anders Carlsson 2008-07-28 10:00:15 PDT
Committed revision 35408.

Comment 7 Ben Goren 2008-07-31 06:49:49 PDT
My bug is fixed -- thank you!

b&